### Function

# Libproxy ProxyFactory new

#### Declaration [src]

    pxProxyFactory*
    px_proxy_factory_new (
      void
    )

#### Description [src]

Creates a new `pxProxyFactory` instance.

This instance should be kept around as long as possible as it contains cached data to increase performance. Memory usage should be minimal (cache is small) and the cache lifespan is handled automatically.

#### Return value

Type: `pxProxyFactory`

The newly created `pxProxyFactory`

The caller of the function takes ownership of the data, and is responsible for freeing it.